"Usage: otf2-estimator [OPTION]...\n"
"This tool estimates the size of OTF2 events.\n"
"It will open a prompt to type in commands.\n"
"\n"
"Options:\n"
"  -V, --version       Print version information.\n"
"  -h, --help          Print this help information.\n"
"\n"
"Commands:\n"
"   list definitions              Lists all known definition names.\n"
"   list events                   Lists all known event names.\n"
"   list types                    Lists all known type names.\n"
"   set <DEFINITION> <NUMBER>     Specifies the number of definitions of a\n"
"                                 type of definitions.\n"
"   get DefChunkSize              Prints the estimated definition chunk size.\n"
"   get Timestamp                 Prints the size of a timestamp.\n"
"   get AttributeList [TYPES...]  Prints the estimated size for an attribute\n"
"                                 list with the given number of entries and\n"
"                                 types.\n"
"   get <EVENT> [ARGS...]         Prints the estimated size of records for\n"
"                                 <EVENT>.\n"
"   exit                          Exits the tool.\n"
"\n"
"This tool provides a command line interface to the estimator API of the OTF2\n"
"library. It is based on a stream based protocol.  Commands are send to the\n"
"standard input stream of the program and the result is written to the standard\n"
"output stream of the program.  All definition and event names are in there\n"
"canonical CamelCase form.  Numbers are printed in decimal.  The TYPES are in\n"
"ALL_CAPS.  See the output of the appropriate 'list' commands.  Arguments are\n"
"separated with an arbitrary number of white space.  The 'get' commands are using\n"
"everything after the first white space separator verbatim as a key, which is\n"
"then printed in the output line and appended with the estimated size.\n"
"\n"
"Here is a simple example.  We have at most 4 region definitions and one metric\n"
"definition.  We want to know the size of a timestamp, enter, and leave event,\n"
"and a metric event with 4 values.\n"
"\n"
"cat <<EOC | otf2-estimator\n"
"set Region 4\n"
"set Metric 1\n"
"get Timestamp\n"
"get Enter\n"
"get Leave\n"
"get Metric  4\n"
"exit\n"
"EOC\n"
"Timestamp 9\n"
"Enter 3\n"
"Leave 3\n"
"Metric  4 44\n"
